Ingestão em Lote (Batch Insert)
curl --request POST \
--url https://cdp.analytics.synapside.com/api/cdp/data/{table_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"email": "cliente1@exemplo.com",
"idade": 28,
"ativo": true
},
{
"email": "cliente2@exemplo.com",
"idade": 35,
"ativo": false
}
]
'import requests
url = "https://cdp.analytics.synapside.com/api/cdp/data/{table_name}"
payload = [
{
"email": "cliente1@exemplo.com",
"idade": 28,
"ativo": True
},
{
"email": "cliente2@exemplo.com",
"idade": 35,
"ativo": False
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{email: 'cliente1@exemplo.com', idade: 28, ativo: true},
{email: 'cliente2@exemplo.com', idade: 35, ativo: false}
])
};
fetch('https://cdp.analytics.synapside.com/api/cdp/data/{table_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"inserted_rows": 123,
"message": "<string>"
}Dados
Ingestão em Lote (Batch Insert)
Insere até 250 registros de uma vez em uma transação única.
POST
/
api
/
cdp
/
data
/
{table_name}
Ingestão em Lote (Batch Insert)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Example:
[
{
"email": "cliente1@exemplo.com",
"idade": 28,
"ativo": true
},
{
"email": "cliente2@exemplo.com",
"idade": 35,
"ativo": false
}
]